import VueIcon from '@ant-design/icons-vue'

const icons = require.context(
  // 当前目录下搜索
  './icons',
  // 包含子目录
  true,
  // 文件名的规则
  /.*\.js$/
)

// VueIcon.add(...icons.keys().map((fileName) => icons(fileName).default))
const allIcons = []

icons.keys().forEach((fileName) => {
  allIcons.push(icons(fileName).default)
})
// 将icons目录下的所有图标注册到VueIcon中
VueIcon.add(...allIcons)
export { allIcons }
